import { AsyncAction } from "./AsyncAction";
export const getTimeoutAsyncActionClass = () => class TSuperClass extends AsyncAction {
    execute(dispatch, getState) {
        const timeout = setTimeout(() => this.payload.executor(dispatch, getState), this.payload.timeout);
        return () => clearTimeout(timeout);
    }
};
