import { BaseTypedAction } from "./actions/BaseTypedAction";
export const isTypedAction = (action) => typeof action === 'object' &&
    (action instanceof BaseTypedAction ||
        'typedAction' in action && action.typedAction instanceof BaseTypedAction);
export const wrapError = (error) => ({
    isError: true,
    error
});
export const isWrappedError = (error) => error !== null &&
    typeof error === 'object' && error.isError === true &&
    'error' in error;
